Bug 565100 - FTBFS sirius-0.8.0-15.fc12: ImplicitDSOLinking
FTBFS sirius-0.8.0-15.fc12: ImplicitDSOLinking
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sirius (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Reopened, Triaged
Depends On:
Blocks: 564245 583278
  Show dependency treegraph
 
Reported: 2010-02-13 12:54 EST by FTBFS
Modified: 2011-07-10 12:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-10 12:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (737.48 KB, text/plain)
2010-02-13 12:54 EST, FTBFS
no flags Details
build.log (28.49 KB, text/plain)
2010-02-13 12:54 EST, FTBFS
no flags Details
mock.log (950 bytes, text/plain)
2010-02-13 12:54 EST, FTBFS
no flags Details
root.log (1.09 MB, text/plain)
2010-02-13 12:54 EST, FTBFS
no flags Details
build.log (20.56 KB, text/plain)
2010-02-13 12:54 EST, FTBFS
no flags Details
mock.log (958 bytes, text/plain)
2010-02-13 12:54 EST, FTBFS
no flags Details
Spec file patch (1022 bytes, patch)
2010-05-01 11:30 EDT, Bruno Wolff III
no flags Details | Diff
Updated autotools run patch including -lm fix (3.33 MB, patch)
2010-05-01 11:32 EDT, Bruno Wolff III
no flags Details | Diff

  None (edit)
Description FTBFS 2010-02-13 12:54:07 EST
sirius-0.8.0-15.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 12:54:11 EST
Created attachment 393518 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-02-13 12:54:13 EST
Created attachment 393519 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-02-13 12:54:14 EST
Created attachment 393520 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-02-13 12:54:16 EST
Created attachment 393521 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-02-13 12:54:17 EST
Created attachment 393522 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-02-13 12:54:19 EST
Created attachment 393523 [details]
mock.log

mock.log for x86_64
Comment 7 Bug Zapper 2010-03-15 10:56:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bruno Wolff III 2010-05-01 10:19:25 EDT
There are two problems with the build. One seems to be incorrect handling of thread setup. Rerunning autogen.sh fixes that, so this might be something already fixed upstream. I think a more targeted patch is the way to handle this if there isn't an upstream fixed update yet, since running autotools during the package build process can cause problems down the road.
The second problem is that the package uses the math library but doesn't include that dependency in the automake Makefile. That change should get pushed upstream if possible.
Comment 9 Bruno Wolff III 2010-05-01 11:30:49 EDT
Created attachment 410693 [details]
Spec file patch

It doesn't look like there is an updated autotools build upstream and they haven't had a release in a few years, so I am going to guess one isn't going to be forthcoming any time soon. The pthread bug seemed likely be be in libtool, but there wasn't an obvious simple patch to it. So the approach I took was to add the -lm in src/Makefile.am, rerun ./autogen.sh and then make the difference a patch. This will freeze the autotools version so that later updates won't break things needlessly.
Comment 10 Bruno Wolff III 2010-05-01 11:32:46 EDT
Created attachment 410694 [details]
Updated autotools run patch including -lm fix
Comment 11 Jan Klepek 2011-03-13 15:30:20 EDT
build is working, closing ticket
Comment 12 Jan Klepek 2011-03-13 15:31:06 EDT
sorry, wrong bug closed :/ issue persists
Comment 13 Jan Klepek 2011-03-13 15:43:06 EDT
Hi,

Do you need any help with this bug? Do you have any progress on this issue?
Comment 14 Bug Zapper 2011-06-02 12:32:03 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Fedora Admin XMLRPC Client 2011-06-21 02:30:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Bruno Wolff III 2011-06-23 09:26:14 EDT
I'll be looking at this more closely now that I am the package owner.
Upstream has vanished. If the changes are simple I'll just keep patches. If things get more involved, having a fedorahosted area might be a good idea, to share the fixes more easily.

Note You need to log in before you can comment on or make changes to this bug.